CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-14798

A race condition in the postgresql init script could be used by attackers able to access the postgresql account to escalate their privileges to root.
Publish Date : 2018-03-01 Last Update Date : 2018-08-15
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.9
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 362

- Products Affected By CVE-2017-14798

# Product Type Vendor Product Version Update Edition Language
1 Application Postgresql Postgresql - Version Details Vulnerabilities
2 Application Postgresql Postgresql - ~~~debian~~ Version Details Vulnerabilities
3 Application Postgresql Postgresql - ~~~ubuntu~~ Version Details Vulnerabilities
4 Application Postgresql Postgresql 6.3 Version Details Vulnerabilities
5 Application Postgresql Postgresql 6.4 Version Details Vulnerabilities
6 Application Postgresql Postgresql 6.5 Version Details Vulnerabilities
7 Application Postgresql Postgresql 7.0 Version Details Vulnerabilities
8 Application Postgresql Postgresql 7.1 Version Details Vulnerabilities
9 Application Postgresql Postgresql 7.2 Version Details Vulnerabilities
10 Application Postgresql Postgresql 7.3 Version Details Vulnerabilities
11 Application Postgresql Postgresql 7.4 Version Details Vulnerabilities
12 Application Postgresql Postgresql 7.4.1 Version Details Vulnerabilities
13 Application Postgresql Postgresql 7.4.2 Version Details Vulnerabilities
14 Application Postgresql Postgresql 7.4.3 Version Details Vulnerabilities
15 Application Postgresql Postgresql 7.4.4 Version Details Vulnerabilities
16 Application Postgresql Postgresql 7.4.5 Version Details Vulnerabilities
17 Application Postgresql Postgresql 7.4.6 Version Details Vulnerabilities
18 Application Postgresql Postgresql 7.4.7 Version Details Vulnerabilities
19 Application Postgresql Postgresql 7.4.8 Version Details Vulnerabilities
20 Application Postgresql Postgresql 7.4.9 Version Details Vulnerabilities
21 Application Postgresql Postgresql 7.4.10 Version Details Vulnerabilities
22 Application Postgresql Postgresql 7.4.11 Version Details Vulnerabilities
23 Application Postgresql Postgresql 7.4.12 Version Details Vulnerabilities
24 Application Postgresql Postgresql 7.4.13 Version Details Vulnerabilities
25 Application Postgresql Postgresql 7.4.14 Version Details Vulnerabilities
26 Application Postgresql Postgresql 7.4.15 Version Details Vulnerabilities
27 Application Postgresql Postgresql 7.4.16 Version Details Vulnerabilities
28 Application Postgresql Postgresql 7.4.17 Version Details Vulnerabilities
29 Application Postgresql Postgresql 7.4.18 Version Details Vulnerabilities
30 Application Postgresql Postgresql 7.4.19 Version Details Vulnerabilities
31 Application Postgresql Postgresql 7.4.20 Version Details Vulnerabilities
32 Application Postgresql Postgresql 7.4.21 Version Details Vulnerabilities
33 Application Postgresql Postgresql 7.4.22 Version Details Vulnerabilities
34 Application Postgresql Postgresql 7.4.23 Version Details Vulnerabilities
35 Application Postgresql Postgresql 7.4.24 Version Details Vulnerabilities
36 Application Postgresql Postgresql 7.4.25 Version Details Vulnerabilities
37 Application Postgresql Postgresql 7.4.26 Version Details Vulnerabilities
38 Application Postgresql Postgresql 7.4.27 Version Details Vulnerabilities
39 Application Postgresql Postgresql 7.4.28 Version Details Vulnerabilities
40 Application Postgresql Postgresql 7.4.29 Version Details Vulnerabilities
41 Application Postgresql Postgresql 7.4.30 Version Details Vulnerabilities
42 Application Postgresql Postgresql 8.0 Version Details Vulnerabilities
43 Application Postgresql Postgresql 8.0.1 Version Details Vulnerabilities
44 Application Postgresql Postgresql 8.0.2 Version Details Vulnerabilities
45 Application Postgresql Postgresql 8.0.3 Version Details Vulnerabilities
46 Application Postgresql Postgresql 8.0.4 Version Details Vulnerabilities
47 Application Postgresql Postgresql 8.0.5 Version Details Vulnerabilities
48 Application Postgresql Postgresql 8.0.6 Version Details Vulnerabilities
49 Application Postgresql Postgresql 8.0.7 Version Details Vulnerabilities
50 Application Postgresql Postgresql 8.0.8 Version Details Vulnerabilities
51 Application Postgresql Postgresql 8.0.9 Version Details Vulnerabilities
52 Application Postgresql Postgresql 8.0.10 Version Details Vulnerabilities
53 Application Postgresql Postgresql 8.0.11 Version Details Vulnerabilities
54 Application Postgresql Postgresql 8.0.12 Version Details Vulnerabilities
55 Application Postgresql Postgresql 8.0.13 Version Details Vulnerabilities
56 Application Postgresql Postgresql 8.0.14 Version Details Vulnerabilities
57 Application Postgresql Postgresql 8.0.15 Version Details Vulnerabilities
58 Application Postgresql Postgresql 8.0.16 Version Details Vulnerabilities
59 Application Postgresql Postgresql 8.0.17 Version Details Vulnerabilities
60 Application Postgresql Postgresql 8.0.18 Version Details Vulnerabilities
61 Application Postgresql Postgresql 8.0.19 Version Details Vulnerabilities
62 Application Postgresql Postgresql 8.0.20 Version Details Vulnerabilities
63 Application Postgresql Postgresql 8.0.21 Version Details Vulnerabilities
64 Application Postgresql Postgresql 8.0.22 Version Details Vulnerabilities
65 Application Postgresql Postgresql 8.0.23 Version Details Vulnerabilities
66 Application Postgresql Postgresql 8.0.24 Version Details Vulnerabilities
67 Application Postgresql Postgresql 8.0.25 Version Details Vulnerabilities
68 Application Postgresql Postgresql 8.0.26 Version Details Vulnerabilities
69 Application Postgresql Postgresql 8.1 Version Details Vulnerabilities
70 Application Postgresql Postgresql 8.1.1 Version Details Vulnerabilities
71 Application Postgresql Postgresql 8.1.2 Version Details Vulnerabilities
72 Application Postgresql Postgresql 8.1.3 Version Details Vulnerabilities
73 Application Postgresql Postgresql 8.1.4 Version Details Vulnerabilities
74 Application Postgresql Postgresql 8.1.5 Version Details Vulnerabilities
75 Application Postgresql Postgresql 8.1.6 Version Details Vulnerabilities
76 Application Postgresql Postgresql 8.1.7 Version Details Vulnerabilities
77 Application Postgresql Postgresql 8.1.8 Version Details Vulnerabilities
78 Application Postgresql Postgresql 8.1.9 Version Details Vulnerabilities
79 Application Postgresql Postgresql 8.1.10 Version Details Vulnerabilities
80 Application Postgresql Postgresql 8.1.11 Version Details Vulnerabilities
81 Application Postgresql Postgresql 8.1.12 Version Details Vulnerabilities
82 Application Postgresql Postgresql 8.1.13 Version Details Vulnerabilities
83 Application Postgresql Postgresql 8.1.14 Version Details Vulnerabilities
84 Application Postgresql Postgresql 8.1.15 Version Details Vulnerabilities
85 Application Postgresql Postgresql 8.1.16 Version Details Vulnerabilities
86 Application Postgresql Postgresql 8.1.17 Version Details Vulnerabilities
87 Application Postgresql Postgresql 8.1.18 Version Details Vulnerabilities
88 Application Postgresql Postgresql 8.1.19 Version Details Vulnerabilities
89 Application Postgresql Postgresql 8.1.20 Version Details Vulnerabilities
90 Application Postgresql Postgresql 8.1.21 Version Details Vulnerabilities
91 Application Postgresql Postgresql 8.1.22 Version Details Vulnerabilities
92 Application Postgresql Postgresql 8.2 Version Details Vulnerabilities
93 Application Postgresql Postgresql 8.2.1 Version Details Vulnerabilities
94 Application Postgresql Postgresql 8.2.2 Version Details Vulnerabilities
95 Application Postgresql Postgresql 8.2.3 Version Details Vulnerabilities
96 Application Postgresql Postgresql 8.2.4 Version Details Vulnerabilities
97 Application Postgresql Postgresql 8.2.5 Version Details Vulnerabilities
98 Application Postgresql Postgresql 8.2.6 Version Details Vulnerabilities
99 Application Postgresql Postgresql 8.2.7 Version Details Vulnerabilities
100 Application Postgresql Postgresql 8.2.8 Version Details Vulnerabilities
101 Application Postgresql Postgresql 8.2.9 Version Details Vulnerabilities
102 Application Postgresql Postgresql 8.2.10 Version Details Vulnerabilities
103 Application Postgresql Postgresql 8.2.11 Version Details Vulnerabilities
104 Application Postgresql Postgresql 8.2.12 Version Details Vulnerabilities
105 Application Postgresql Postgresql 8.2.13 Version Details Vulnerabilities
106 Application Postgresql Postgresql 8.2.14 Version Details Vulnerabilities
107 Application Postgresql Postgresql 8.2.15 Version Details Vulnerabilities
108 Application Postgresql Postgresql 8.2.16 Version Details Vulnerabilities
109 Application Postgresql Postgresql 8.2.17 Version Details Vulnerabilities
110 Application Postgresql Postgresql 8.2.18 Version Details Vulnerabilities
111 Application Postgresql Postgresql 8.3 Version Details Vulnerabilities
112 Application Postgresql Postgresql 8.3.1 Version Details Vulnerabilities
113 Application Postgresql Postgresql 8.3.2 Version Details Vulnerabilities
114 Application Postgresql Postgresql 8.3.3 Version Details Vulnerabilities
115 Application Postgresql Postgresql 8.3.4 Version Details Vulnerabilities
116 Application Postgresql Postgresql 8.3.5 Version Details Vulnerabilities
117 Application Postgresql Postgresql 8.3.6 Version Details Vulnerabilities
118 Application Postgresql Postgresql 8.3.7 Version Details Vulnerabilities
119 Application Postgresql Postgresql 8.3.8 Version Details Vulnerabilities
120 Application Postgresql Postgresql 8.3.9 Version Details Vulnerabilities
121 Application Postgresql Postgresql 8.3.10 Version Details Vulnerabilities
122 Application Postgresql Postgresql 8.3.11 Version Details Vulnerabilities
123 Application Postgresql Postgresql 8.3.12 Version Details Vulnerabilities
124 Application Postgresql Postgresql 8.3.13 Version Details Vulnerabilities
125 Application Postgresql Postgresql 8.3.14 Version Details Vulnerabilities
126 Application Postgresql Postgresql 8.3.15 Version Details Vulnerabilities
127 Application Postgresql Postgresql 8.3.16 Version Details Vulnerabilities
128 Application Postgresql Postgresql 8.3.17 Version Details Vulnerabilities
129 Application Postgresql Postgresql 8.3.18 Version Details Vulnerabilities
130 Application Postgresql Postgresql 8.3.19 Version Details Vulnerabilities
131 Application Postgresql Postgresql 8.3.20 Version Details Vulnerabilities
132 Application Postgresql Postgresql 8.3.21 Version Details Vulnerabilities
133 Application Postgresql Postgresql 8.3.22 Version Details Vulnerabilities
134 Application Postgresql Postgresql 8.4 Version Details Vulnerabilities
135 Application Postgresql Postgresql 8.4.1 Version Details Vulnerabilities
136 Application Postgresql Postgresql 8.4.2 Version Details Vulnerabilities
137 Application Postgresql Postgresql 8.4.3 Version Details Vulnerabilities
138 Application Postgresql Postgresql 8.4.4 Version Details Vulnerabilities
139 Application Postgresql Postgresql 8.4.5 Version Details Vulnerabilities
140 Application Postgresql Postgresql 8.4.6 Version Details Vulnerabilities
141 Application Postgresql Postgresql 8.4.7 Version Details Vulnerabilities
142 Application Postgresql Postgresql 8.4.8 Version Details Vulnerabilities
143 Application Postgresql Postgresql 8.4.9 Version Details Vulnerabilities
144 Application Postgresql Postgresql 8.4.10 Version Details Vulnerabilities
145 Application Postgresql Postgresql 8.4.11 Version Details Vulnerabilities
146 Application Postgresql Postgresql 8.4.12 Version Details Vulnerabilities
147 Application Postgresql Postgresql 8.4.13 Version Details Vulnerabilities
148 Application Postgresql Postgresql 8.4.14 Version Details Vulnerabilities
149 Application Postgresql Postgresql 8.4.15 Version Details Vulnerabilities
150 Application Postgresql Postgresql 8.4.16 Version Details Vulnerabilities
151 Application Postgresql Postgresql 8.4.17 Version Details Vulnerabilities
152 Application Postgresql Postgresql 8.4.18 Version Details Vulnerabilities
153 Application Postgresql Postgresql 8.4.19 Version Details Vulnerabilities
154 Application Postgresql Postgresql 8.4.20 Version Details Vulnerabilities
155 Application Postgresql Postgresql 8.4.21 Version Details Vulnerabilities
156 Application Postgresql Postgresql 8.4.22 Version Details Vulnerabilities
157 Application Postgresql Postgresql 9.0 Version Details Vulnerabilities
158 Application Postgresql Postgresql 9.0.1 Version Details Vulnerabilities
159 Application Postgresql Postgresql 9.0.2 Version Details Vulnerabilities
160 Application Postgresql Postgresql 9.0.3 Version Details Vulnerabilities
161 Application Postgresql Postgresql 9.0.4 Version Details Vulnerabilities
162 Application Postgresql Postgresql 9.0.5 Version Details Vulnerabilities
163 Application Postgresql Postgresql 9.0.6 Version Details Vulnerabilities
164 Application Postgresql Postgresql 9.0.7 Version Details Vulnerabilities
165 Application Postgresql Postgresql 9.0.8 Version Details Vulnerabilities
166 Application Postgresql Postgresql 9.0.9 Version Details Vulnerabilities
167 Application Postgresql Postgresql 9.0.10 Version Details Vulnerabilities
168 Application Postgresql Postgresql 9.0.11 Version Details Vulnerabilities
169 Application Postgresql Postgresql 9.0.12 Version Details Vulnerabilities
170 Application Postgresql Postgresql 9.0.13 Version Details Vulnerabilities
171 Application Postgresql Postgresql 9.0.14 Version Details Vulnerabilities
172 Application Postgresql Postgresql 9.0.15 Version Details Vulnerabilities
173 Application Postgresql Postgresql 9.0.16 Version Details Vulnerabilities
174 Application Postgresql Postgresql 9.0.17 Version Details Vulnerabilities
175 Application Postgresql Postgresql 9.0.18 Version Details Vulnerabilities
176 Application Postgresql Postgresql 9.0.20 Version Details Vulnerabilities
177 Application Postgresql Postgresql 9.0.21 Version Details Vulnerabilities
178 Application Postgresql Postgresql 9.0.23 Version Details Vulnerabilities
179 Application Postgresql Postgresql 9.1 Version Details Vulnerabilities
180 Application Postgresql Postgresql 9.1.1 Version Details Vulnerabilities
181 Application Postgresql Postgresql 9.1.2 Version Details Vulnerabilities
182 Application Postgresql Postgresql 9.1.3 Version Details Vulnerabilities
183 Application Postgresql Postgresql 9.1.4 Version Details Vulnerabilities
184 Application Postgresql Postgresql 9.1.5 Version Details Vulnerabilities
185 Application Postgresql Postgresql 9.1.6 Version Details Vulnerabilities
186 Application Postgresql Postgresql 9.1.7 Version Details Vulnerabilities
187 Application Postgresql Postgresql 9.1.8 Version Details Vulnerabilities
188 Application Postgresql Postgresql 9.1.9 Version Details Vulnerabilities
189 Application Postgresql Postgresql 9.1.10 Version Details Vulnerabilities
190 Application Postgresql Postgresql 9.1.11 Version Details Vulnerabilities
191 Application Postgresql Postgresql 9.1.12 Version Details Vulnerabilities
192 Application Postgresql Postgresql 9.1.19 Version Details Vulnerabilities
193 Application Postgresql Postgresql 9.1.20 Version Details Vulnerabilities
194 Application Postgresql Postgresql 9.1.21 Version Details Vulnerabilities
195 Application Postgresql Postgresql 9.1.22 Version Details Vulnerabilities
196 Application Postgresql Postgresql 9.1.23 Version Details Vulnerabilities
197 Application Postgresql Postgresql 9.1.24 Version Details Vulnerabilities
198 Application Postgresql Postgresql 9.2 Version Details Vulnerabilities
199 Application Postgresql Postgresql 9.2.1 Version Details Vulnerabilities
200 Application Postgresql Postgresql 9.2.2 Version Details Vulnerabilities
201 Application Postgresql Postgresql 9.2.3 Version Details Vulnerabilities
202 Application Postgresql Postgresql 9.2.4 Version Details Vulnerabilities
203 Application Postgresql Postgresql 9.2.5 Version Details Vulnerabilities
204 Application Postgresql Postgresql 9.2.6 Version Details Vulnerabilities
205 Application Postgresql Postgresql 9.2.7 Version Details Vulnerabilities
206 Application Postgresql Postgresql 9.2.14 Version Details Vulnerabilities
207 Application Postgresql Postgresql 9.2.15 Version Details Vulnerabilities
208 Application Postgresql Postgresql 9.2.16 Version Details Vulnerabilities
209 Application Postgresql Postgresql 9.2.17 Version Details Vulnerabilities
210 Application Postgresql Postgresql 9.2.18 Version Details Vulnerabilities
211 Application Postgresql Postgresql 9.2.19 Version Details Vulnerabilities
212 Application Postgresql Postgresql 9.2.20 Version Details Vulnerabilities
213 Application Postgresql Postgresql 9.2.21 Version Details Vulnerabilities
214 Application Postgresql Postgresql 9.2.22 Version Details Vulnerabilities
215 Application Postgresql Postgresql 9.2.23 Version Details Vulnerabilities
216 Application Postgresql Postgresql 9.2.24 Version Details Vulnerabilities
217 Application Postgresql Postgresql 9.3 Version Details Vulnerabilities
218 Application Postgresql Postgresql 9.3.0 Version Details Vulnerabilities
219 Application Postgresql Postgresql 9.3.1 Version Details Vulnerabilities
220 Application Postgresql Postgresql 9.3.2 Version Details Vulnerabilities
221 Application Postgresql Postgresql 9.3.3 Version Details Vulnerabilities
222 Application Postgresql Postgresql 9.3.4 Version Details Vulnerabilities
223 Application Postgresql Postgresql 9.3.5 Version Details Vulnerabilities
224 Application Postgresql Postgresql 9.3.6 Version Details Vulnerabilities
225 Application Postgresql Postgresql 9.3.7 Version Details Vulnerabilities
226 Application Postgresql Postgresql 9.3.8 Version Details Vulnerabilities
227 Application Postgresql Postgresql 9.3.9 Version Details Vulnerabilities
228 Application Postgresql Postgresql 9.3.10 Version Details Vulnerabilities
229 Application Postgresql Postgresql 9.3.11 Version Details Vulnerabilities
230 Application Postgresql Postgresql 9.3.12 Version Details Vulnerabilities
231 Application Postgresql Postgresql 9.3.13 Version Details Vulnerabilities
232 Application Postgresql Postgresql 9.3.14 Version Details Vulnerabilities
233 Application Postgresql Postgresql 9.3.15 Version Details Vulnerabilities
234 Application Postgresql Postgresql 9.3.16 Version Details Vulnerabilities
235 Application Postgresql Postgresql 9.3.17 Version Details Vulnerabilities
236 Application Postgresql Postgresql 9.3.18 Version Details Vulnerabilities
237 Application Postgresql Postgresql 9.3.19 Version Details Vulnerabilities
238 Application Postgresql Postgresql 9.3.20 Version Details Vulnerabilities
239 Application Postgresql Postgresql 9.3.21 Version Details Vulnerabilities
240 Application Postgresql Postgresql 9.3.22 Version Details Vulnerabilities
241 Application Postgresql Postgresql 9.4 Version Details Vulnerabilities
242 OS Suse Suse Linux Enterprise Server 11 SP3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Postgresql Postgresql 241
Suse Suse Linux Enterprise Server 1

- References For CVE-2017-14798

https://www.suse.com/de-de/security/cve/CVE-2017-14798/ CONFIRM
http://lists.suse.com/pipermail/sle-security-updates/2017-November/003420.html
SUSE SUSE-SU-2017:3107
https://www.exploit-db.com/exploits/45184/
EXPLOIT-DB 45184
https://bugzilla.suse.com/show_bug.cgi?id=1062722 CONFIRM

- Metasploit Modules Related To CVE-2017-14798

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.